Package com.destroystokyo.paper.entity.ai

# Class GoalKey<T extends Mob>

java.lang.Object
com.destroystokyo.paper.entity.ai.GoalKey<T>

Type Parameters:
  `T` - the type of mob the goal can be applied to

public class GoalKey<T extends Mob> extends Object
Used to identify a Goal. Consists of a `NamespacedKey` and the type of mob the goal can be applied to

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`@NotNull Class<T>`
`getEntityClass()`
`@NotNull NamespacedKey`
`getNamespacedKey()`
`int`
`hashCode()`
`static <A extends Mob>
@NotNull GoalKey<A>`
`of(@NotNull Class<A> entityClass, @NotNull NamespacedKey namespacedKey)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getEntityClass

@NotNull public @NotNull Class<T> getEntityClass()

### getNamespacedKey

@NotNull public @NotNull NamespacedKey getNamespacedKey()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### of

@NotNull public static <A extends Mob> @NotNull GoalKey<A> of(@NotNull @NotNull Class<A> entityClass, @NotNull @NotNull NamespacedKey namespacedKey)